For the complete documentation index, see llms.txt. This page is also available as Markdown.

IntIndex

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getIntIndex

post

Retrieve IntIndex parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
IntIndexInterestRateIndexintegerRequired
Responses
200

Successful operation.

application/json
post/getIntIndex
POST /nexum/627/2022.01/parameter/getIntIndex HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 165

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "IntIndexInterestRateIndex": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "IntIndex": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getIntIndex"
}

getIntIndexSelectFields

post

Retrieve IntIndex parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
IntIndexInterestRateIndexintegerOptional
Responses
200

Successful operation.

application/json
post/getIntIndexSelectFields
POST /nexum/627/2022.01/parameter/getIntIndexSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 264

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "IntIndexInterestRateIndex": 1,
  "SelectableFields": {
    "IntIndexFields": {
      "InterestRateIndex": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "IntIndex": {
    "Description": "Interest Rate Index 01",
    "EffectiveDate": [],
    "IndexRate": [],
    "InterestRateIndex": 1,
    "Type": 1
  },
  "MessageId": "getIntIndexSelectFields"
}

getIntIndexPagedList

post

Retrieve IntIndex parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getIntIndexPagedList
POST /nexum/627/2022.01/parameter/getIntIndexPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "IntIndex": [],
  "Token": null,
  "MessageId": "getIntIndexPagedList"
}

getIntIndexListSelectFields

post

Retrieve IntIndex parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getIntIndexListSelectFields
POST /nexum/627/2022.01/parameter/getIntIndexListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 191

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllIntIndexFields": true
  }
}
200

Successful operation.

{
  "IntIndexList": [],
  "MessageId": "getIntIndexListSelectFields"
}

searchIntIndexSelectFields

post

Search IntIndex parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchIntIndexSelectFields
POST /nexum/627/2022.01/parameter/searchIntIndexSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllIntIndexFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "IntIndexList": [],
  "MessageId": "searchIntIndexSelectFields"
}

getIntIndexPagedListSelectFields

post

Retrieve IntIndex parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getIntIndexPagedListSelectFields
POST /nexum/627/2022.01/parameter/getIntIndexPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 313

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IntIndexFields": {
      "InterestRateIndex": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "IntIndex": [
    {
      "Description": "Interest Rate Index 01",
      "EffectiveDate": [],
      "IndexRate": [],
      "InterestRateIndex": 1,
      "Type": 1
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getIntIndexPagedListSelectFields"
}

searchIntIndexPagedSelectFields

post

Search IntIndex parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchIntIndexPagedSelectFields
POST /nexum/627/2022.01/parameter/searchIntIndexPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "IntIndexFields": {
      "InterestRateIndex": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "IntIndex": [
    {
      "Description": "Interest Rate Index 01",
      "EffectiveDate": [],
      "IndexRate": [],
      "InterestRateIndex": 1,
      "Type": 1
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchIntIndexPagedSelectFields"
}

updateIntIndexByID

post

Update IntIndex parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
IntIndexInterestRateIndexintegerOptional
Responses
200

Successful operation.

application/json
post/updateIntIndexByID
POST /nexum/627/2022.01/parameter/updateIntIndexByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "IntIndexInterestRateIndex": 1,
  "IntIndexUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateIntIndexByID"
}

Last updated

Was this helpful?